#!/bin/bash
# Copyright © 2019 Collabora Ltd.
# SPDX-License-Identifier: BSD-3-Clause
# (See debian/copyright)

set -e
set -u
set -x

# Test that we can compile a simple project using SDL3.

echo "1..1"

tmpdir="$(mktemp -d)"
cleanup () {
    if [ -z "${TEST_KEEP_RESULTS-}" ]; then
        rm -fr "$tmpdir"
    fi
}
trap cleanup 0 INT QUIT ABRT PIPE TERM

# Meson wants a real locale
export LC_ALL=C.UTF-8

meson setup "$tmpdir" "$(pwd)/examples/sdl3"
ninja -v -C "$tmpdir"

"$tmpdir/hello"

ninja -v -C "$tmpdir" clean

echo "ok 1"

# vim:set sw=4 sts=4 et ft=sh:
